package _VisualDVM.TestingSystem.Common;
import Common.Database.SQLITE.SQLiteDatabase;
import Common.Passes.PassCode_;
import _VisualDVM.TestingSystem.DVM.PackageCredentials.DVMPackagesCredentialsDBTable;

import java.nio.file.Paths;
public class MachinesDatabase extends SQLiteDatabase {
    DVMPackagesCredentialsDBTable dvmPackagesCredentials;
    public MachinesDatabase() {
        super(Paths.get(System.getProperty("user.dir"), "Data", "machines.sqlite").toFile());
    }
    @Override
    protected void initAllTables() throws Exception {
        addTable(dvmPackagesCredentials = new DVMPackagesCredentialsDBTable());
    }
    @Override
    public PassCode_ getSynchronizePassCode() {
        return null;
    }
}
